package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrOverhaulExchangerMapper;
import com.ruoyi.project.pssr.domain.TPssrOverhaulExchanger;
import com.ruoyi.project.pssr.service.ITPssrOverhaulExchangerService;

/**
 * 检修项目-换热器Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrOverhaulExchangerServiceImpl implements ITPssrOverhaulExchangerService
{
    @Autowired
    private TPssrOverhaulExchangerMapper tPssrOverhaulExchangerMapper;

    /**
     * 查询检修项目-换热器
     *
     * @param id 检修项目-换热器ID
     * @return 检修项目-换热器
     */
    @Override
    public TPssrOverhaulExchanger selectTPssrOverhaulExchangerById(Long id)
    {
        return tPssrOverhaulExchangerMapper.selectTPssrOverhaulExchangerById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrOverhaulExchangerMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询检修项目-换热器列表
     *
     * @param tPssrOverhaulExchanger 检修项目-换热器
     * @return 检修项目-换热器
     */
    @Override
    public List<TPssrOverhaulExchanger> selectTPssrOverhaulExchangerList(TPssrOverhaulExchanger tPssrOverhaulExchanger)
    {
        return tPssrOverhaulExchangerMapper.selectTPssrOverhaulExchangerList(tPssrOverhaulExchanger);
    }

    @Override
    public TPssrOverhaulExchanger selectAllConfirmedPersonBySubId(TPssrOverhaulExchanger tPssrOverhaulExchanger)
    {
        return tPssrOverhaulExchangerMapper.selectAllConfirmedPersonBySubId(tPssrOverhaulExchanger);
    }

    /**
     * 新增检修项目-换热器
     *
     * @param tPssrOverhaulExchanger 检修项目-换热器
     * @return 结果
     */
    @Override
    public int insertTPssrOverhaulExchanger(TPssrOverhaulExchanger tPssrOverhaulExchanger)
    {
        return tPssrOverhaulExchangerMapper.insertTPssrOverhaulExchanger(tPssrOverhaulExchanger);
    }

    /**
     * 修改检修项目-换热器
     *
     * @param tPssrOverhaulExchanger 检修项目-换热器
     * @return 结果
     */
    @Override
    public int updateTPssrOverhaulExchanger(TPssrOverhaulExchanger tPssrOverhaulExchanger)
    {
        return tPssrOverhaulExchangerMapper.updateTPssrOverhaulExchanger(tPssrOverhaulExchanger);
    }

    /**
     * 修改检修项目-换热器
     *
     * @param tPssrOverhaulExchanger 检修项目-换热器
     * @return 结果
     */
    @Override
    public int updateAllBySubId(TPssrOverhaulExchanger tPssrOverhaulExchanger)
    {
        return tPssrOverhaulExchangerMapper.updateAllBySubId(tPssrOverhaulExchanger);
    }

    /**
     * 批量删除检修项目-换热器
     *
     * @param ids 需要删除的检修项目-换热器ID
     * @return 结果
     */
    @Override
    public int deleteTPssrOverhaulExchangerByIds(Long[] ids)
    {
        return tPssrOverhaulExchangerMapper.deleteTPssrOverhaulExchangerByIds(ids);
    }

    /**
     * 删除检修项目-换热器信息
     *
     * @param id 检修项目-换热器ID
     * @return 结果
     */
    @Override
    public int deleteTPssrOverhaulExchangerById(Long id)
    {
        return tPssrOverhaulExchangerMapper.deleteTPssrOverhaulExchangerById(id);
    }
}
